{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 230.0, 50.0, 1024.0, 581.0 ],
		"bglocked" : 0,
		"defrect" : [ 230.0, 50.0, 1024.0, 581.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "If you are creating a simple shape or model in space you will make them just like the one above.  However the arlab. objects encapsulate these functions so that you only have to create one object to create more advanced objects such as sounds or movie clips.",
					"linecount" : 3,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 394.0, 464.0, 485.0, 48.0 ],
					"id" : "obj-20",
					"fontname" : "Arial",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "this is a standard Max 3D object called gridshape.  Anything you can create in Max you can use in this environment, for now we are just going to put a sphere in the middle of the room.  The two most common attributes you will likely have to write in every object are @lighting_enable 1 and @smooth_shading 1 which gives the object a smooth surface and depth due to the position of the light (you can change the position of the light.  The next most common will be @scale {x y z}.  ",
					"linecount" : 5,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 474.0, 380.0, 609.0, 75.0 ],
					"id" : "obj-19",
					"fontname" : "Arial",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "jit.gl.gridshape myWorld @shape sphere @scale 1. 1. 1. @color 1. 0. 0. 1. @lighting_enable 1 @smooth_shading 1",
					"linecount" : 2,
					"numinlets" : 1,
					"numoutlets" : 2,
					"patching_rect" : [ 469.0, 342.0, 515.0, 34.0 ],
					"id" : "obj-17",
					"fontname" : "Arial",
					"outlettype" : [ "jit_matrix", "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "cosm.nav (NOT cosm.navigation) is and object that tells your 3D models where to go in space.  The name will be used to identify collisions, so get in the habit of naming your objects with unique names (no spaces).  Give it commands like position and rotate to locate it in the room.  You can give it more advanced commands like turn (rotate one unit per bang), or move (move position one unit per bang).  ",
					"linecount" : 6,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 487.0, 243.0, 417.0, 89.0 ],
					"id" : "obj-16",
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"presentation_rect" : [ 754.0, 312.0, 0.0, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "cosm.nav @position 0. 0. -5. @rotate 0. 0. 0. 0. @name thing1",
					"numinlets" : 1,
					"numoutlets" : 3,
					"patching_rect" : [ 469.0, 218.0, 344.0, 20.0 ],
					"id" : "obj-15",
					"fontname" : "Arial",
					"outlettype" : [ "", "", "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "r step stands for receive 'step'.  This takes a wireless message from the metro telling it to output a bang every frame.",
					"linecount" : 3,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 515.0, 165.0, 247.0, 48.0 ],
					"id" : "obj-14",
					"fontname" : "Arial",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "r step",
					"numinlets" : 0,
					"numoutlets" : 1,
					"patching_rect" : [ 469.0, 195.0, 41.0, 20.0 ],
					"id" : "obj-13",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "positioning a 3D object in space requires three things.",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 442.0, 128.0, 310.0, 20.0 ],
					"id" : "obj-8",
					"fontname" : "Arial",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "outlets (left to right)\nMouse Click?: 1 or 0\nscreentoworld arguments: screentoworld x y z\nPosition of Camera: x y z",
					"linecount" : 4,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 30.0, 359.0, 270.0, 62.0 ],
					"id" : "obj-7",
					"fontname" : "Arial",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : " arlab.world accepts a name for your rendering context (defaults to 'arlab') and the size of your lab.  ",
					"linecount" : 4,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 251.0, 296.0, 155.0, 62.0 ],
					"id" : "obj-6",
					"fontname" : "Arial",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Send a 1 or 0 (toggle) directly to arlab.world to start viewing in the window.",
					"linecount" : 4,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 8.0, 38.0, 150.0, 62.0 ],
					"id" : "obj-5",
					"fontname" : "Arial",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Turn on and off the following behaviours with a '1' or '0'.  \nVideo: show a video background for Video HMDs\nBox: show the bounding box of the lab.\nCollide: turn cosm collisions on and off.",
					"linecount" : 5,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 164.0, 203.0, 281.0, 75.0 ],
					"id" : "obj-4",
					"fontname" : "Arial",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "a d",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 273.0, 168.0, 69.0, 18.0 ],
					"id" : "obj-62",
					"fontname" : "Arial",
					"fontsize" : 10.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "(up) (down)",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 198.0, 168.0, 69.0, 18.0 ],
					"id" : "obj-63",
					"fontname" : "Arial",
					"fontsize" : 10.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "(left) (right)",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 273.0, 148.0, 69.0, 18.0 ],
					"id" : "obj-60",
					"fontname" : "Arial",
					"fontsize" : 10.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "/ '",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 198.0, 148.0, 69.0, 18.0 ],
					"id" : "obj-61",
					"fontname" : "Arial",
					"fontsize" : 10.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "w x",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 273.0, 128.0, 69.0, 18.0 ],
					"id" : "obj-58",
					"fontname" : "Arial",
					"fontsize" : 10.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "< >",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 198.0, 128.0, 69.0, 18.0 ],
					"id" : "obj-59",
					"fontname" : "Arial",
					"fontsize" : 10.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "z",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 178.0, 168.0, 17.0, 18.0 ],
					"id" : "obj-57",
					"fontname" : "Arial Bold",
					"fontsize" : 10.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "y",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 178.0, 148.0, 19.0, 18.0 ],
					"id" : "obj-56",
					"fontname" : "Arial Bold",
					"fontsize" : 10.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "x",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 178.0, 128.0, 19.0, 18.0 ],
					"id" : "obj-55",
					"fontname" : "Arial Bold",
					"fontsize" : 10.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Rotation:",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 268.0, 113.0, 69.0, 18.0 ],
					"id" : "obj-54",
					"fontname" : "Arial Italic",
					"fontsize" : 10.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Translation:",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 193.0, 113.0, 69.0, 18.0 ],
					"id" : "obj-53",
					"fontname" : "Arial Italic",
					"fontsize" : 10.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "This is an empty, basic Augmented Reality space. You can navigate the space with the Cosm hotkeys:",
					"linecount" : 2,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 162.0, 60.0, 428.0, 34.0 ],
					"id" : "obj-3",
					"fontname" : "Arial",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "loadmess 1",
					"numinlets" : 1,
					"numoutlets" : 1,
					"patching_rect" : [ 103.0, 100.0, 72.0, 20.0 ],
					"id" : "obj-22",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"numoutlets" : 1,
					"patching_rect" : [ 51.0, 139.0, 20.0, 20.0 ],
					"id" : "obj-25",
					"outlettype" : [ "int" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "video $1",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 51.0, 163.0, 56.0, 18.0 ],
					"id" : "obj-26",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"numoutlets" : 1,
					"patching_rect" : [ 58.0, 252.0, 20.0, 20.0 ],
					"id" : "obj-12",
					"outlettype" : [ "int" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"numoutlets" : 1,
					"patching_rect" : [ 56.0, 191.0, 20.0, 20.0 ],
					"id" : "obj-11",
					"outlettype" : [ "int" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "collide $1",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 58.0, 276.0, 61.0, 18.0 ],
					"id" : "obj-10",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "box $1",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 56.0, 215.0, 47.0, 18.0 ],
					"id" : "obj-9",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"numoutlets" : 1,
					"patching_rect" : [ 37.0, 107.0, 20.0, 20.0 ],
					"id" : "obj-2",
					"outlettype" : [ "int" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "arlab.world myWorld @size 61 30 97",
					"numinlets" : 2,
					"numoutlets" : 3,
					"patching_rect" : [ 37.0, 317.0, 207.0, 20.0 ],
					"id" : "obj-1",
					"fontname" : "Arial",
					"outlettype" : [ "", "", "" ],
					"fontsize" : 12.0
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-15", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-13", 0 ],
					"destination" : [ "obj-15", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-9", 0 ],
					"destination" : [ "obj-1", 0 ],
					"hidden" : 0,
					"midpoints" : [ 65.5, 243.5, 46.5, 243.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-10", 0 ],
					"destination" : [ "obj-1", 0 ],
					"hidden" : 0,
					"midpoints" : [ 67.5, 299.0, 46.5, 299.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 0 ],
					"destination" : [ "obj-1", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-26", 0 ],
					"destination" : [ "obj-1", 0 ],
					"hidden" : 0,
					"midpoints" : [ 60.5, 184.0, 46.5, 184.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-25", 0 ],
					"destination" : [ "obj-26", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-11", 0 ],
					"destination" : [ "obj-9", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-12", 0 ],
					"destination" : [ "obj-10", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-22", 0 ],
					"destination" : [ "obj-11", 0 ],
					"hidden" : 0,
					"midpoints" : [ 112.5, 186.0, 65.5, 186.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-22", 0 ],
					"destination" : [ "obj-12", 0 ],
					"hidden" : 0,
					"midpoints" : [ 112.5, 248.0, 67.5, 248.0 ]
				}

			}
 ]
	}

}
